## Inverse from Choleski Decomposition

## Usage

    chol2inv(x, size=ncol(x))

## Arguments

`x` | a matrix. The first `nc` columns of the upper triangle contain the Choleski decomposition of the matrix to be inverted.
`size` | the number of columns of `x` containing the choleski decomposition.

## Value

This matrix uses the given Choleski decomposition to invert the original positive definite matrix. It returns the inverse of the decomposed matrix.

## References

Dongarra, J. J., J. R. Bunch, C. B. Moler and G. W. Stewart (1978). LINPACK Users Guide. Philadelphia: SIAM Publications.

## See Also

`chol`, `solve`.

## Examples

    cma <- chol(ma  <- cbind(1, 1:3, c(1,3,7)))
    t(cma) %*% cma # = ma
    all(diag(3) == ma %*% chol2inv(cma))# TRUE (at least approx.)

[Package Contents]